<template>
  <div id="formulario">
    <div class="login-popup-wrap new_login_popup">
      <div class="login-popup-heading text-center">
        <h4>Add appointment</h4>
      </div>
      <form id="loginMember">
        <div class="form-group">
          <label>Peluquero</label>
          <select
            v-model="peluquero"
            class="form-control"
            placeholder="Peluquero"
          >
            <option value="Peluquero1">Peluquero1</option>
            <option value="Peluquero2">Peluquero2</option>
            <option value="Peluquero3">Peluquero3</option>
          </select>
        </div>
        <div class="form-group">
          <label>Type service</label>
          <select v-model="title" class="form-control">
            <option value="Cortar-pello">Cortar pello</option>
            <option value="Cortar-barba">Cortar barba</option>
            <option value="Cortar-pello-y-barba">Cortar pello y barba</option>
          </select>
        </div>
        <div class="form-group">
          <label>start time</label>
          <datetime
            id="start_time"
            type="datetime"
         
            v-model="start"
            format="yyyy-MM-dd HH:mm:ss"
          ></datetime>
        </div>
        <div class="form-group displaynon">
          <label>End time</label>
          <input
            type="datetime"
            v-model="end"
            class="form-control"
            id="Endtimee"
            name="password"
          />
        </div>
        <div class="form-group displaynon ">
          <label>price</label>
          <input
            type="text"
            v-model="classe"
            class="form-control"
            id="price"
            name="password"
          />
        </div>
        <button
          @click="btnConfermAppointment"
          type="button"
          class="btn btn-default login-popup-btn btnadd"
        >
         Done
        </button>
      </form>
    </div>
  </div>
</template>
<script>
import { Datetime } from "vue-datetime";
// You need a specific loader for CSS files
import "vue-datetime/dist/vue-datetime.css";
export default {
  name: "formulario",
  components: {
    datetime: Datetime
  },
  data() {
    return {
      title: "",
      peluquero: "",
      start: "",
      end: "",
      classe: "",
      date: "",
      time: ""
    };
  },
  computed: {
    dateAppointment: function() {
      var prueba = new Date(this.start);

      var date =
        prueba.getFullYear() +
        "-" +
        (prueba.getMonth() + 1) +
        "-" +
        prueba.getDate();
      var time = prueba.getHours() + ":" + prueba.getMinutes();
      var datetime = date + " " + time;
      return datetime;
    },
        endtime: function() {
        var prueba=new Date(this.start)
var service='';
if(this.title ==="Cortar-pello")
    { 
      service=30;
            }else
           if(this.title === "Cortar-barba"){
            service=15;}else

 if(this.title ==="Cortar-pello-y-barba"){
            service=45;     }
          var date = prueba.getFullYear()+'-'+(prueba.getMonth()+1)+'-'+prueba.getDate();
              var timehour = prueba.getHours() ;
        var timeminutes = prueba.getMinutes()+ service;
                if(timeminutes >=60){
           timeminutes =timeminutes-60;       
          timehour = timehour+1;
        }
             var time = timehour + ":" + timeminutes ;
              var enddatetime = date+' '+time ;
        return enddatetime
        
      },
       priceService: function() {
var price='';
if(this.title ==="Cortar-pello")
    { 
      price=10;
            }else
           if(this.title === "Cortar-barba"){
            price=7;}else

 if(this.title ==="Cortar-pello-y-barba"){
            price=20;    } 
            var priceService =price ;
            return priceService },
  },
  methods: {
    btnConfermAppointment() {
      this.start = this.dateAppointment;
       this.end = this.endtime;
       this.classe = this.priceService;
      this.$emit(
        "conferm-appointment",
        this.title,
        this.peluquero,
        this.start,
        this.end,
        this.classe
      );
    }
  }
};
</script>

<style scoped>
.displaynon{
  display:none;
}
#loginMember {
  width: 384px;
  margin-left: 0px;
  margin-right: 75px;
}
.login-popup-heading > h4 {
  color: #258b47;
  font-size: 18px;
  line-height: 30px;
}
.new_reg_popup,
.new_login_popup {
  border-radius: 2px;
  min-height: 332px;
  width: 500px;
  margin: 0px auto;
}
.login-popup-btn {
  background: #258b47;
  border: none;
  border-radius: 25px;
  color: #fff;
  display: block;
  font-size: 18px;
  height: 38px;
  line-height: 28px;
  margin: 20px auto 5px;
  width: 150px;
  -webkit-transition: all 700ms ease;
  -moz-transition: all 700ms ease;
  -ms-transition: all 700ms ease;
  -o-transition: all 700ms ease;
}
a {
  color: #258b47;
  font-size: 18px;
}
.btn{
margin-left: 0px;
    width: 77px;}
</style>
